#if !defined(LIGHTMAP_H)
#define LIGHTMAP_H

/****************************************************************************/
/** \class LightMap
    \brief LightMap
*****************************************************************************/
class LightMap  
{
public:
   int m_len;
   int m_width;  // aka umax
   int m_height; // aka vmax
   
   BYTE  *m_map;

public:
	LightMap(int width, int height);
   virtual ~LightMap();

   void clear();
   BYTE getMax(); 
   void set(int v, int u, BYTE value );
   void dump();
};

#endif // !defined(LIGHTMAP_H)
